No puedo instalar el pgAdmin

Inicio Foros Foro principal Instalación y Configuración No puedo instalar el pgAdmin

  • Este debate tiene 7 respuestas, 4 mensajes y ha sido actualizado por última vez el hace 12 años por Jorgev.
Viendo 8 entradas - de la 1 a la 8 (de un total de 8)
  • Autor
    Entradas
  • #31041
    Cristian Grub
    Miembro

    Hola!!! Ya instale postgresql y pljava, pero quería instalar el pgadmin. Ya descargue el paquete pero al tratar de instalarlo me da el siguiente error:

    [root@localhost Libertya]# rpm -i pgadmin3-1.4.3-1.i686.rpm
    error: Error de dependencias:
    postgresql se necesita para pgadmin3-1.4.3-1.i686

    No entiendo porqué me da este error, ya hice que arrancara el servidor y demás. GRACIAS POR SU AYUDA!!!

    #33294
    David Acurero
    Miembro

    Hola grub87

    Mira en la instalacion del postgreSQL ya viene el paquete pgadmin 3 en caso de estar utilizando el entorno Windows (si es asi vuelve a instaler el postgreSQL y verificas que este seleccionada la opcion pgadmin3 para la instalacion), si estas usando Ubuntu solo tienes que ejecutar lo siguiente: $ sudo apt-get install pgadmin3

    Espero te sirva de ayuda

    Saludos

    David Acurero
    Digisoft

    #33295
    Cristian Grub
    Miembro

    Hola David gracias por tu atención, estoy usando centos 5.3. Como comentaba instale primero postgresql 8.2.13 y luego pljava. Pero al tratar de instalar el pgadmin me dice que no tengo postgresql, ya intente instalarlo con YUM pero no pude. De hecho lo busque y no aparece (yum search pgadmin). Alguna otra idea??? GRACIAS!!!!

    #33298
    Jorgev
    Miembro

    Hola,
    el paquete para instalarlo con yum es pgadmin3. Entonces tenes que instalarlo asi:

    sudo yum install pgadmin3

    Saludos,
    Jorge

    #33296
    Cristian Grub
    Miembro

    Hola Jorge!!! GRacias por tu atención, trate de instalarlo con el comando que me sugeriste pero no me funciono, me entrego lo siguiente:

    No package pgadmin3 available.
    Nothing to do

    :S GRACIAS!!!!

    #33299

    Deberias revisar/actualizar tu lista de paquetes. Por el mensaje, es posible que el Yum no este buscando en los repositorios de Centos y solo este intentando en tu disco local.. donde no encuentra nada.

    #33297
    Cristian Grub
    Miembro

    Hola Antonio, gracias por tu atención. Ya actualice toda mi lista de paquetes con:

    yum -y update

    #33303
    Jorgev
    Miembro

    Hola !
    Te recomiendo que mires los links
    http://wiki.centos.org/AdditionalResources/Repositories
    http://wiki.centos.org/AdditionalResources/Repositories/CentOSPlus
    En el ultimo indican como configurar el repositorio adicional. Puede que te falte algun repo y por eso no consigas el paquete.
    Te adjunto lo que me da el comando yum:
    # yum list pgadmin3
    Setting up repositories
    epel 100% |=========================| 2.1 kB 00:00
    rpmfusion-nonfree-updates 100% |=========================| 2.8 kB 00:00
    dries 100% |=========================| 951 B 00:00
    rpmfusion-free-updates-te 100% |=========================| 2.8 kB 00:00
    rpmfusion-nonfree-updates 100% |=========================| 2.8 kB 00:00
    extras 100% |=========================| 1.1 kB 00:00
    rpmfusion-free-updates 100% |=========================| 2.8 kB 00:00
    dag 100% |=========================| 1.1 kB 00:00
    update 100% |=========================| 951 B 00:00
    ftp://ftp.inf.utfsm.cl/pub/Linux/CentOS/4.7/os/i386/repodata/repomd.xml: [Errno 4] IOError: [Errno ftp error] timed out
    Trying other mirror.
    base 100% |=========================| 1.1 kB 00:00
    addons 100% |=========================| 951 B 00:00
    Reading repository metadata in from local files
    cee878845a4b4bc0267fd58c0 100% |=========================| 26 kB 00:01
    rpmfusion-: ################################################## 85/85
    Added 85 new packages, deleted 0 old in 0.51 seconds
    primary.xml.gz 100% |=========================| 4.0 MB 00:43
    dag : ################################################## 11258/11258
    Added 219 new packages, deleted 3 old in 16.66 seconds
    Available Packages
    pgadmin3.i386 1.8.4-1.el5 epel

    Saludos!

Viendo 8 entradas - de la 1 a la 8 (de un total de 8)
  • Debes estar registrado para responder a este debate.